#ifndef SDLPLATFORMMANAGER_H
#define SDLPLATFORMMANAGER_H

#include "IPlatformManager.h"

namespace Salamander
{

class SDLPlatformManager : public IPlatformManager
{
	friend class Application;

public:
	registerManager();
	virtual ~SDLPlatformManager();
	
	virtual bool startup();
	virtual bool shutdown();

	virtual void frame();

protected:
	SDLPlatformManager();

private:
	

};

}

#endif // SDLPLATFORMMANAGER_H

